<?php

/*

 $Id: show_domains.inc,v 1.17 2003/12/22 17:37:02 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_domains.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Domains Template
	Display all the domains for a specific zone. 
*/
if ($conf['script'] != "search.php") {
?>
<p><font class="header2">Showing All Domains</font></p>
<?
} //if it's not search.php


show_template('tborder');
// total_items has to be passed in to determine how many page tabs to make
$conf['ui']->show_list_header($total_items);
?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?php echo $conf['color']->bg['body_dark']; ?>">
    		<td>
		<a href = "<? echo $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=name" title="<? $conf['help']->title("domain"); ?>">Domain Name</a>
		<? if ($user->view->sort_type == "name") { $conf['ui']->show_arrow(); } ?>
		</td>
		<td title="<? $conf['help']->title('zone'); ?>">Parent Zone(s)</td>
		<td>Status</td>
                <td>Action</td>
	</tr>

<?

foreach ($domains as $domain) {

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($domain->name); ?></td>
		<td><form style="Display:inline">
			<? 
			$zones = $domain->zones();
			if (count($zones) >= 2) {
				$conf['ui']->show_zone_select($zones, $zones[0]); 
				}
			elseif (count($zones) < 1) {
				echo "No Parent Zones";
				}
			else {
				echo "<a href=\"" . $conf['web_path'] . "/zone.php?action=show_zone&zone_id=" . $zones[0]->id . "\">" . $zones[0]->name . "</a>";
			}
			?>
			</form>
		</td>
		<td><? $conf['ui']->display_field($domain->status); ?></td>
		<td>
			<? if ($user->has_access($mx->zone) ) { ?>
			<a href="<?= $conf['web_path']; ?>/domain.php?action=show_domain&domain_id=<?= $domain->id; ?>">Edit </a> |&nbsp;
                                <? if ( ! $domain->master_domain ) { ?>
                                        <a href="<?= $conf['web_path']; ?>/soa.php?action=show_soa&domain_id=<?= $domain->id; ?>">SOA</a> |&nbsp;
                                <? } ?>
			<a href="<?= $conf['web_paht']; ?>/domain.php?action=delete_domain&domain_id=<?= $domain->id; ?>"> Delete</a>
			<? } else { ?>
			<a href="<?= $conf['web_path']; ?>/domain.php?action=show_domain&action_type=read&domain_id=<?= $domain->id; ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>
<?
$conf['ui']->show_list_header($total_items);
show_template('bborder');
?>

