<?php

/*

 $Id: show_unregistered.inc,v 1.3 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_unregistered.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Unregistered
	Shows unregistered hosts....

*/

//We need a ip object here..
$ip = new IP(0);

?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->title("ip_address"); ?>">IP Address</td>
    		<td title="<? $conf['help']->title("ha"); ?>">Hardware Address</td>
    		<td>Time Period</td>
	</tr>

<?

foreach ($hosts as $host) {

	//Convert the IP address into dotted quad
	$host->ipaddr = $ip->int2ip($host->ip);
	
?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host_history&amp;ip_int=<?= $host->ip; ?>">
			<? $conf['ui']->display_field($host->ipaddr); ?></a>
		</td>
		<td>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host_history&amp;ha=<?= $host->ha; ?>">
			<? $conf['ui']->display_field($host->ha); ?></a>
		</td>
		<td><? $conf['ui']->display_field(date("F j, Y g:i a",$date) . " to " . date("F j, Y g:i a",$date+ (86400 * $day_count)) ); ?></td>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? require($conf['prefix'] . "/templates/show_unregistered_select.inc"); ?>
