<?php

/*

 $Id: show_users.inc,v 1.21 2003/12/22 21:50:46 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_users.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*!
	@header Show Users Template
	Show a listing of all of the users passed to this page.
*/

/* Consturct the top widget */
$items[] = "<a href=\"" . $conf['web_path'] . "/user.php?action=show_add_user\">Add a New User</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/user.php?action=show_users\">Show Users</a>";
$conf['ui']->display_top_widget($items);
?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td title="<? $conf['help']->title("username"); ?>"><b>Username</b></td>
    		<td title="<? $conf['help']->title("user_access_level"); ?>"><b><?= $conf['zone']->name; ?> Access Level</b></td>
    		<td title="<? $conf['help']->title("user_last_seen"); ?>"><b>Last Seen</b></td>
                <td align="center"><b>Action for <?= $conf['zone']->name; ?></b></td>
	</tr>

<?

foreach ($users as $u) {

	$level = $u->get_access_level($conf['zone']->id);

	//setup the last seen mojo
	if ( $u->last_seen ) {
		$last_seen = date("F j, Y, g:i a", $u->last_seen);
	}
	else {
		$last_seen = "Never logged in";
	}

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($u->username); ?></td>
		<td><? $conf['ui']->display_field($u->access_level($level)); ?></td>
		<td><? $conf['ui']->display_field($last_seen); ?></td>
		<td>
		<? if (($user->is_zone_admin || $user->is_admin) ) { ?>

			<a href="<?= $conf['web_path']; ?>/user.php?action=confirm_delete&amp;user_id=<?= $u->username; ?>">Delete</a>

			<? if ($level != 5 ) { ?>
			| <a href="<?= $conf['web_path']; ?>/user.php?action=set_user_level&amp;user_id=<?= $u->username; ?>&amp;level=5">Change to <?= $u->access_level(5); ?></a>
			<? } ?>
			<? if ($level != 25) { ?>
			| <a href="<?= $conf['web_path']; ?>/user.php?action=set_user_level&amp;user_id=<?= $u->username; ?>&amp;level=25">Change to <?= $u->access_level(25); ?></a>
			<? } ?>
			<? if ($level != 50) { ?>
			| <a href="<?= $conf['web_path']; ?>/user.php?action=set_user_level&amp;user_id=<?= $u->username; ?>&amp;level=50">Change to <?= $u->access_level(50); ?></a>
			<? } ?>
				<? if ($user->is_admin) { ?>
					| <a href="<?= $conf['web_path']; ?>/user.php?action=become_user&amp;user_id=<?= $u->username ?>">Become User</a>
				<? } ?>
			<? } else { ?>	
				There are no actions.
			<? } // if ?>
		</td>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
