<?php

/*

 $Id: show_autoreg_find_hosts.inc,v 1.1 2003/08/31 18:54:14 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_autoreg_find_hosts.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Shows a search form for autoreg hosts only. If something found allows you to delete/disable them
*/

// Init flip_class
$conf['ui']->flip_class(array('even-row','odd-row'),1);


?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr class="widget-title">
	<td>Hardware Address</td>
	<td>Hardware Type</td>
	<td>Current Status</td>
</tr>
<?
foreach($hosts as $host) { 
	$host = new Host($host->id);
?>

<tr class="<?= $conf['ui']->flip_class(); ?>">
	<td><?= $conf['ui']->display_field($host->ha); ?></td>
	<td><?= $conf['ui']->display_field($host->type); ?></td>
	<td><?= $conf['ui']->display_field($host->status); ?></td>
</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<form method="post" name="disable_hosts" action="<?= $conf['web_path']; ?>/modules/autoreg.php" enctype="multipart/form-data style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2" class="widget-title">Disable <?= $other_id; ?>'s hosts</td>
</tr>
<tr class="<?= $conf['ui']->flip_class(); ?>">
	<td valign="top" title="<?= $conf['help']->title('comment'); ?>"><?= $conf['help']->show_link('comment'); ?>Reason:</td>
	<td>
		<textarea name="comment" cols="30" rows="5"><?= $comment; ?></textarea>
	</td>
</tr>
<tr class="<?= $conf['ui']->flip_class(); ?>">
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="action" value="disable_autoreg_hosts" />
		<input type="hidden" name="other_id" value="<?= $other_id; ?>" />
		<input type="hidden" name="aup" value="accepted" />
		<input type="submit" value="Disable Host(s)" />&nbsp;&nbsp;
		<input type="submit" name="action" value="Cancel" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
<br />

	
